:root {
    /* --primary-color: #e31937; */
    --primary-color: #446ec9;
    --secondary-color: #fff;
    /* --background-color: #dfd1d1; */
    --background-color: #ffffff;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.container-fluid {
    padding: 0;
    margin: 0;
}

body {
    background: var(--background-color);
    font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI",
        Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue",
        sans-serif;
    font-size: 1rem;
    max-height: 100vh;
    font-weight: 400;
    line-height: 1.5;
    color: #333;
}

/* #loading {
    display: none !important;
} */

/* body:has(#_pages_content[data-dash-is-loading="true"]) #loading {
    display: flex !important;
} */

.navbar {
    border-bottom: var(--primary-color) 0.0625rem solid;
    .links {
        display: flex;
    }
}
.pdfbtn:hover {
    color: #fff;
    background-color: #2c6793;
}

.DateRangePickerInput,
.DateRangePicker {
    width: 100%;
    text-align: center;
}

.mantine-DateRangePicker-input {
    text-align: center;
}

.Select-clear,
.Select-clear-zone {
    pointer-events: none;
    cursor: not-allowed;
    display: none;
}

.area {
    width: 100%;
    height: 100%;
    border-radius: 0.3125rem;
    background: var(--secondary-color);
    box-shadow: 0.0625rem 0.0625rem 0.1875rem rgba(0, 0, 0, 0.75);
    padding: 0.625rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.drummond {
    margin-bottom: 10px;
    .grid {
        display: grid;
        width: 100%;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(4, auto) 1fr auto;
        grid-template-areas:
            "n1 n1 n1 n1"
            "n2 n2 n3 n3"
            "n7 n7 n3 n3"
            "n4 n4 n3 n3"
            "n5 n5 n3 n3"
            "n6 n6 n3 n3";
        gap: 0.625rem;
        padding: 0.625rem;
    }

    @media (max-width: 48rem) {
        .grid {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 100%;
            width: 100%;
            padding: 0;
        }
    }

    .item {
        width: 100%;
        font-family: sans-serif;
        display: flex;
        align-items: center;
        gap: 0.625rem;
        /* margin-bottom: .625rem; */
    }

    .item1 {
        grid-area: n2;
        .area {
            /* width: 50%; */
            height: 100%;
            flex-direction: column;
        }
    }

    .item2 {
        grid-area: n1;
    }

    .item3 {
        grid-area: n3;
        .area {
            width: 100%;
            /* height: 100%; */
        }
    }

    .item4 {
        grid-area: n4;
        .area {
            width: 50%;
        }
    }

    .item5 {
        grid-area: n5;
        .area {
            width: 100%;
            height: 100%;
        }
    }

    .item6 {
        grid-area: n6;
        .area {
            width: 25%;
        }
    }
    .item7 {
        grid-area: n7;
        .area {
            width: 25%;
            flex-direction: column;
        }
    }

    .filters {
        display: flex;
        gap: 0.625rem;
    }

    .filter {
        width: 100%;
        display: flex;
        flex-direction: column;
        text-align: left;
    }

    #last-data {
        display: flex;
        justify-content: center;
    }
}

.filter .Select-control {
    width: 100%;
    border: 0.0625rem solid var(--secondary-color);
    border-bottom: 0.0625rem solid var(--primary-color);
    outline: none;
}

label {
    color: var(--primary-color);
    font-size: 70%;
}

.kpi-card {
    overflow: hidden;
    background: var(--secondary-color);
    position: relative;
    box-shadow: 0.0625rem 0.0625rem 0.1875rem rgba(0, 0, 0, 0.75);
    border-radius: 0.3em;
    font-family: sans-serif;
    width: 25%;
    height: 100%;
    padding-left: 0.625rem;
}

.card-value {
    display: block;
    font-size: 200%;
    font-weight: bolder;
}

.card-text {
    display: block;
    font-size: 70%;
    padding-left: 0.2em;
}

.orange {
    background: #ffc241;
    color: #fff;
}

.purple {
    background: #a05eb5;
    color: #fff;
}

.blue {
    background: #00a0dc;
    color: #fff;
}

.green {
    background: #00a99d;
    color: #fff;
}

.comp-estaciones {
    height: 100%;
    .grid {
        height: 100%;
        width: 100%;
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(2, auto) 1fr;
        grid-template-areas:
            "n1 n1 n1 n1"
            "n4 n4 n3 n3"
            "n5 n5 n3 n3";
        gap: 0.625rem;
        padding: 0.625rem;
    }

    @media (max-width: 48rem) {
        .grid {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 100%;
            width: 100%;
            padding: 0;
        }
    }

    .item {
        width: 100%;
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 0.625rem;
    }

    .item2 {
        grid-area: n1;
        .area {
            width: 100%;
            height: 100%;
        }
    }

    .item3 {
        grid-area: n3;
    }

    .item4 {
        grid-area: n4;
        .area {
            width: 50%;
            height: 100%;
        }
    }

    .item5 {
        grid-area: n5;
    }

    .filters {
        display: flex;
        gap: 0.625rem;
    }

    .filter {
        width: 100%;
        display: flex;
        flex-direction: column;
        text-align: left;
    }
}

/* Estilos generales para la sección principal */
.piezometria {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
    max-width: 1000px;
    margin: 0 auto;
}

.piezometria header {
    width: 100%;
    margin-bottom: 20px;
}

/* Estilos para el botón */
.piezometria .download-button {
    padding: 10px 20px;
    background-color: #4c8caf;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-size: 16px;
    margin-top: 20px;
}

.piezometria button:hover {
    background-color: #3c6d87;
}
